<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateIconsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('icons', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name')->comment('功能图标名称');
            $table->string('image')->comment('图片');
            $table->string('url')->comment('点击链接');
            $table->integer('type')->comment('类型 1.首页 2.文章中心 3.个人中心');
            $table->integer('type_cl')->comment('分类2 1.用户端 2.客户端');
            $table->integer('laval')->comment('排序');
            $table->integer('status')->comment('状态 0.禁用 1.启用')->nullable(false)->unsigned();
            $table->dateTime('created_at')->comment('创建时间');
            $table->dateTime('updated_at')->comment('更新时间');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('icons');
    }
}
